/* 日報のセクション分け */
.QuestionSection {
    display: grid;
    gap: 20px;
    align-content: start;
}

.OpenEndedSection {
    display: grid;
    gap: 30px;
    align-content: start;
}

.FreeWordSection {
    display: grid;
    gap: 10px;
}

/* 日報内容表示の項目ごとの箱 */
.DailyReportBox {
    display: grid;
    gap: 10px;

    .FreeWordQuestionBox {
        color: #555;
        padding: 5px 0px 5px 10px;
        border-left: 3px solid var(--SubColor);
        border-radius: 2px;
    }
}

/* 日報項目のタイトル */
.DailyReportBox h3 {
    padding: 10px 5px;
    border-bottom: 1px solid #ddd;
}

/* 日報メインコンテンツ */
.DailyReportBox .MainContent {
    font-size: 1em;
    padding: 0px 10px;
    color: #555;
    /* 改行文字が入っている場合、改行として表示する */
    white-space: pre-wrap;
}

/* 日報サブコンテンツ：翻訳文など */
.DailyReportBox .SubContent {
    font-size: 0.85em;
    font-weight: 300;
    padding: 0px 10px;
    color: #777;
    /* 改行文字が入っている場合、改行として表示する */
    white-space: pre-wrap;
}

/* 折りたたみコンテンツ：原文など */
.DailyReportDetails > summary {
    width: 100%;
    padding: 5px 10px;
    background-color: #eee;
    color: #777;
    font-size: 15px;
    cursor: pointer;
    border-radius: 5px;
}
.DailyReportDetails > section {
    padding: 10px;
    display: grid;
    gap: 20px;
    background-color: #eee;
}
.DailyReportDetails .MainContent {
    font-size: 1em;
    padding: 0px 10px;
    color: #555;
    /* 改行文字が入っている場合、改行として表示する */
    white-space: pre-wrap;
}
.DailyReportDetails .SubContent {
    font-size: 0.85em;
    font-weight: 300;
    padding: 0px 10px;
    color: #777;
    /* 改行文字が入っている場合、改行として表示する */
    white-space: pre-wrap;
}
.DailyReportDetails[open] > summary {
    border-radius: 5px 5px 0px 0px;
}
.DailyReportDetails[open] > section {
    border-radius: 0px 0px 5px 5px;
}

/* セクション分け横線 */
.DailyReport_Seperator {
    width: 100%;
    height: 1px;
    background-color: #999;
    margin: 20px 0px;
}


/* 「日報の提出」ボタンなど送信ボタンの表示内容変更のためのクラス */
.GR_SubmitButton .Hide {
    display: none;
}

.GR_SubmitButton {
    width: 100%;
    max-width: 300px;
    margin: auto;
}